List pull endpoints
GET
/v1/pull-endpoints
const url = 'https://api.hookbridge.io/v1/pull-endpoints?limit=20';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.hookbridge.io/v1/pull-endpoints?limit=20' \ --header 'Authorization: Bearer <token>'List all pull endpoints for the authenticated project.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer
cursor
string
Responses
Section titled “Responses”List of pull endpoints
Media typeapplication/json
object
data
Array<object>
object
id
string format: uuid
name
string
active
boolean
paused
boolean
ingest_url
string
created_at
string format: date-time
meta
object
request_id
Unique identifier for this request (useful for support)
string
next_cursor
string
Example
{ "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
Media typeapplication/json
object
error
object
code
Machine-readable error code
string
message
Human-readable error message
string
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Personalize Examples
Enter your credentials to populate code examples throughout the docs.